Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

[firefox 89] Can't enable Legacy OpenGL compositor

  • 6 replies
  • 1 has this problem
  • 23 views
  • Last reply by hamelg1

more options

I use this workaround to fix tearing on my mediacenter powered by a intel baytrail hardware.

https://wiki.archlinux.org/title/Firefox/Tweaks#Enable_Legacy_OpenGL_compositor

until v88, it was working fine.

With v89, the setting layers.acceleration.force-enabled=true has no effect. The "about:support" page reports Compositing: webrender (software) whatever the value true or false.

I had to downgrade to v88.

All Replies (6)

more options

I'm not linuxy and this may be our bug, but try to set gfx.webrender.software.opengl = true (restart required).

Helpful?

more options

The settings gfx.webrender.software.opengl = true does nothing. Compositing stays on webrender "(software)".

Helpful?

more options

What about gfx.webrender.software?

Helpful?

more options

no, it doesn't help :(

Helpful?

more options

See also this bug (fixed for 91).

  • 1715902 - Refuse WebRender on Linux if GL context backed by software driver

Helpful?

more options

I've checked the firefox-nightly-91.0a1.20210614215408. It doesn't fix my issue.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.